curl --request GET \
--url https://api.eigenexplorer.com/avs/{address}/events/registration-status \
--header 'X-API-Token: <x-api-token>'import requests
url = "https://api.eigenexplorer.com/avs/{address}/events/registration-status"
headers = {"X-API-Token": "<x-api-token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Token': '<x-api-token>'}};
fetch('https://api.eigenexplorer.com/avs/{address}/events/registration-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tx": "0xae41958d0342a4485536f701c72723625131680f182eb21f95abdac6d74d0ff0",
"blockNumber": 21045085,
"blockTime": "2024-10-25T20:41:11.000Z",
"type": "REGISTRATION_STATUS",
"args": {
"operator": "0x9abce41e1486210ad83deb831afcdd214af5b49d",
"status": "REGISTERED"
}
}{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#bad_request"
}
}{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unauthorized"
}
}{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#forbidden"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#not_found"
}
}{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unprocessable_entity"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#rate_limit_exceeded"
}
}{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#internal_server_error"
}
}Retrieve all registration events for a given AVS address
Returns a list of all registration events for a given AVS address.
startAt and endAt is 7 days, with startAt set 7 days before endAt.By default, endAt is set to the current timestamp (now).The maximum allowed date range is 30 days.
Headers
API Token for authentication
Path Parameters
AVS service manager contract address
^0x[a-fA-F0-9]{40}$"0x870679e138bcdf293b7ff14dd44b70fc97e12fc0"
Query Parameters
The transaction hash associated with the event
^0x([A-Fa-f0-9]{64})$Start date in ISO string format
"2024-11-15T00:00:00.000Z"
End date in ISO string format
"2024-12-15T00:00:00.000Z"
The status of Registration
REGISTERED, DEREGISTERED The address of the operator
^0x[a-fA-F0-9]{40}$The number of records to skip for pagination
0
The number of records to return for pagination
12
Response
The registration events found for the AVS.
The transaction hash
"0xae41958d0342a4485536f701c72723625131680f182eb21f95abdac6d74d0ff0"
The block number of the transaction
21045085
The block time of the transaction as an ISO 8601 string
"2024-10-25T20:41:11.000Z"
The type of the event
REGISTRATION_STATUS "REGISTRATION_STATUS"
Show child attributes
Show child attributes